### Constructor

# Gtk.StringList.new

#### Declaration [src]

    GtkStringList*
    gtk_string_list_new (
      const char* const* strings
    )

#### Description [src]

Creates a new `GtkStringList` with the given `strings`.

#### Parameters

`strings` | An array of `char*`
| The strings to put in the model
| Can be `NULL`
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkStringList`
a new `GtkStringList`
Ownership of the data is transferred to the caller